<repast.simphony.data2.engine.DataSetDescriptor simphonyVersion="2.7.0">
  <name>Function: Parking Happiness</name>
  <type>AGGREGATE</type>
  <inclTick>true</inclTick>
  <inclBatchRun>false</inclBatchRun>
  <inclRandomSeed>false</inclRandomSeed>
  <scheduleParams>
    <start>1.0</start>
    <interval>1.0</interval>
    <priority>-Infinity</priority>
    <pType>LAST</pType>
    <duration>-1.0</duration>
    <frequency>REPEAT</frequency>
    <hashCode>-2111993406</hashCode>
  </scheduleParams>
  <atEnd>false</atEnd>
  <methodDataSources class="linked-hash-map">
    <entry>
      <string>EV_happiness</string>
      <repast.simphony.data2.engine.MethodDataSourceDefinition>
        <id>EV_happiness</id>
        <className>thesis.agents</className>
        <methodName>get_EV_Happiness</methodName>
        <aggType>MEAN</aggType>
      </repast.simphony.data2.engine.MethodDataSourceDefinition>
    </entry>
    <entry>
      <string>Other_happiness</string>
      <repast.simphony.data2.engine.MethodDataSourceDefinition>
        <id>Other_happiness</id>
        <className>thesis.agents</className>
        <methodName>get_non_EV_Happiness</methodName>
        <aggType>MEAN</aggType>
      </repast.simphony.data2.engine.MethodDataSourceDefinition>
    </entry>
  </methodDataSources>
  <countSources class="linked-hash-map"/>
  <customNADataSources class="linked-hash-map"/>
  <customAggDataSources class="linked-hash-map"/>
</repast.simphony.data2.engine.DataSetDescriptor>